{% extends 'Admin/admin.html.twig' %}

{% block extraTitle %} - Gestion des Joueurs{% endblock %}

{% block adminContent %}
    <div class="scrollable border">
        <table id="adminTable">
            <thead>
            <tr>
                <th>Nom d'utilisateur</th>
                <th>Roles</th>
                <th>Status</th>
                <th>
                    <a style="color: white;" href="{{ path('adminPlayersFiltered', {'type' : 0}) }}">Dernière connexion</a>
                </th>
                <th>Actions</th>
            </tr>
            </thead>
            <tbody>
            {% for user in users %}
                <tr>
                    <td><a href="/user/{{ user.id }}">{{ user.displayName }}</a></td>
                    <td>{{ user.getRoles[0] }}</td>
                    <td>{{ user.lord ? 'en jeu' : 'inactif' }}</td>
                    <td>{{ user.lastConnection ? user.lastConnection | date(null, 'Europe/Paris') : 'Pas connecté depuis la 0.5' }}</td>
                    <td>
                        {% if app.user.getRoles[0] == "ROLE_ADMIN" %}
                            {% if user.getRoles[0] == "ROLE_USER" %}
                                <a href="{{ path('adminPromoteUser', {userId : user.id}) }}">Promouvoir</a>
                            {% elseif user.getRoles[0] == "ROLE_MODERATOR" %}
                                <a href="{{ path('adminRevokeUser', {userId : user.id}) }}">Revoquer les droits</a>
                            {% endif %}
                        {% else %}
                            ...
                        {% endif %}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

    <p style="text-align: right">Nombre de joueur(s) : {{ users | length }}</p>
{% endblock %}